org.restlet.engine.http.io

## Class InboundStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - org.restlet.engine.http.io.InboundStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class InboundStream
    extends java.io.BufferedInputStream

Buffered input stream that prevent the underlying stream from being closed.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.BufferedInputStream

`buf, count, marklimit, markpos, pos`

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`InboundStream(java.io.InputStream source)` Constructor.
`InboundStream(java.io.InputStream source, int size)` Constructor.

### Method Summary

Methods
`void` `close()`

### Methods inherited from class java.io.BufferedInputStream

`available, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.FilterInputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InboundStream

    public InboundStream(java.io.InputStream source)

Constructor.

Parameters:
  `source` - The source input stream.

#### InboundStream

    public InboundStream(java.io.InputStream source,
                 int size)

Constructor.

Parameters:
  `source` - The source input stream.
  `size` - the buffer size.

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.BufferedInputStream`
Throws:
  `java.io.IOException`